Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app
Class ServingXmlParameters

    java.lang.Object
      com.servingxml.app.ServingXmlParameters

All Implemented Interfaces:
  Record

    public class ServingXmlParameters

extends java.lang.Object
implements Record

A `Record` class represents a set of fields.

Field Summary

Fields inherited from interface com.servingxml.util.record.Record
`EMPTY, EMPTY_ARRAY, EMPTY_RECORD_TYPE_NAME`

Constructor Summary
`ServingXmlParameters(Record tail)`

Method Summary
`org.xml.sax.XMLReader` | `createXmlReader(PrefixMap prefixMap)` Gets an `XMLReader` representation of the record.
`int` | `fieldCount()`
`Name` | `getFieldName(int i)`
`java.lang.Object` | `getObject(Name name)` Gets the value of a field as a Java object.
`RecordType` | `getRecordType()`
`java.lang.String` | `getString(Name name)` Gets the value of a field as a string.
`java.lang.String[]` | `getStringArray(Name name)` Gets the value of a field as a string array.
`Value` | `getValue(int index)` Gets the value of a field at the specified index.
`Value` | `getValue(Name name)` Gets the value of a field with the specified name.
`java.lang.String` | `toXmlString(PrefixMap prefixMap)`
`void` | `writeToContentHandler(PrefixMap prefixMap, org.xml.sax.ContentHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServingXmlParameters

    public ServingXmlParameters(Record tail)

Method Detail

### getRecordType

    public RecordType getRecordType()

  Specified by:
    `getRecordType` in interface `Record`

### fieldCount

    public int fieldCount()

  Specified by:
    `fieldCount` in interface `Record`

### getFieldName

    public Name getFieldName(int i)

  Specified by:
    `getFieldName` in interface `Record`

### getString

    public java.lang.String getString(Name name)

  Gets the value of a field as a string.

  Specified by:
    `getString` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value as a string.

### getStringArray

    public java.lang.String[] getStringArray(Name name)

  Gets the value of a field as a string array.

  Specified by:
    `getStringArray` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value as a string array.

### getValue

    public Value getValue(Name name)

  Gets the value of a field with the specified name.

  Specified by:
    `getValue` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value

### getValue

    public Value getValue(int index)

  Gets the value of a field at the specified index.

  Specified by:
    `getValue` in interface `Record`
  Parameters:
    `index` - the index of the field.
  Returns:
    The field value

### createXmlReader

    public org.xml.sax.XMLReader createXmlReader(PrefixMap prefixMap)

  Gets an `XMLReader` representation of the record.

  Specified by:
    `createXmlReader` in interface `Record`
  Returns:
    An `XMLReader` representation of the record.

### getObject

    public java.lang.Object getObject(Name name)

  Gets the value of a field as a Java object.

  Specified by:
    `getObject` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value

### toXmlString

    public java.lang.String toXmlString(PrefixMap prefixMap)

  Specified by:
    `toXmlString` in interface `Record`

### writeToContentHandler

    public void writeToContentHandler(PrefixMap prefixMap,
                                      org.xml.sax.ContentHandler handler)
                               throws org.xml.sax.SAXException

  Specified by:
    `writeToContentHandler` in interface `Record`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD